Skip to navigation

List Product Classification Systems By Company

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Lists all product classification systems available to a company based on its nexus.

Tax authorities use product classification systems as a way to identify products and associate them with a tax rate. More than one tax authority might use the same product classification system, but they might charge different tax rates for products.

NOTE: If your company code contains any of these characters /, +, ? or a space, please use the following encoding before making a request:

  • Replace ’/’ with ’_-ava2f-_’ For example: ‘Company/Code’ becomes ‘Company_-ava2f-_Code’
  • Replace ’+’ with ’_-ava2b-_’ For example: ‘Company+Code’ becomes ‘Company_-ava2b-_Code’
  • Replace ’?’ with ’_-ava3f-_’ For example: ‘Company?Code’ becomes ‘Company_-ava3f-_Code’
  • Replace ’%’ with ’_-ava25-_’ For example: ‘Company%Code’ becomes ‘Company_-ava25-_Code’
  • Replace ’#’ with ’_-ava23-_’ For example: ‘Company#Code’ becomes ‘Company_-ava23-_Code’

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyCodestringRequired
The company code.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: countries

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$countryCodestringOptional
If not null, return all records with this code.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional